# pion::PionLockFreeQueue< T >::QueueNode Struct Reference

`#include <PionLockFreeQueue.hpp>`

List of all members.

## Detailed Description

### template<typename T>
struct pion::PionLockFreeQueue< T >::QueueNode

data structure used to wrap each item in the queue

Definition at line 57 of file PionLockFreeQueue.hpp.

## Public Member Functions

| QueueNode (void)
| default constructor
| QueueNode (const T &d)
| constructs QueueNode with a data value

## Public Attributes

boost::lockfree::tagged_ptr< QueueNode > | next
| points to the next node in the queue
T | data
| data wrapped by the node item

The documentation for this struct was generated from the following file:

- common/include/pion/PionLockFreeQueue.hpp